package com.muyu.basic;


import com.muyu.basic.handler.DataEngineHandler;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/29
 * @Description: 规则引擎基准
 * @Version: 1.0
 */
public interface BasicEngine<V> {

    public void set(V dataValue);

    public V get();

    public default void remove(){
        DataEngineHandler.remove();
    }

    public void execution();
}
