package com.muyu.basic.handler;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/29
 * @Description: 规则引擎作用域
 * @Version: 1.0
 */

public class DataEngineHandler {

    private static final ThreadLocal<Object> dataEngineHandler = new ThreadLocal<>();

    public static void set(final Object handler) {
        dataEngineHandler.set(handler);
    }

    public static <T> T get() {
        return (T) dataEngineHandler.get();
    }

    public static void remove(){
        dataEngineHandler.remove();
    }
}
